//
//  ActivityDataMySQL.m
//  豆瓣
//
//  Created by YIem on 16/3/7.
//  Copyright © 2016年 www.yiem.net YIem博客. All rights reserved.
//

#import "ActivityDataMySQL.h"
#import "Activity.h"
#import <sqlite3.h>
@implementation ActivityDataMySQL
+ (instancetype)shareDataBase
{
    static ActivityDataMySQL *dataBase = nil;
    if (nil == dataBase) {
        dataBase = [[ActivityDataMySQL alloc] init];
    }
    return dataBase;
}
static sqlite3 *ADB = nil;
- (void)openDB
{
    NSString *filePath = [NSSearchPathForDirectoriesInDomains(NSDocumentDirectory, NSUserDomainMask, YES) lastObject];
    NSLog(@"%@", filePath);
    NSString *file = [filePath stringByAppendingPathComponent:@"activity.db"];
    int ret = sqlite3_open(file.UTF8String, &ADB);
    if (SQLITE_OK == ret) {
        NSLog(@"打开数据库成功");
    } else {
        NSLog(@"打开数据库失败");
    }
}
- (void)closeDB
{
    int ret = sqlite3_close(ADB);
    if (SQLITE_OK == ret) {
        NSLog(@"关闭数据库成功");
    } else {
        NSLog(@"关闭数据库失败");
    }
    
}
- (void)createTableWithName:(NSString *)name
{
    NSString *sqlStr = [NSString stringWithFormat:@"CREATE TABLE IF NOT EXISTS 'ACT%@' (number integer PRIMARY KEY AUTOINCREMENT, name TEXT, activityname TEXT)", name];
    int ret = sqlite3_exec(ADB, sqlStr.UTF8String, NULL, NULL, NULL);
    if (SQLITE_OK == ret) {
        NSLog(@"创建表单成功");
    } else {
        NSLog(@"创建表单失败");
    }
}
- (void)insertDataWithAct:(Activity *)act andname:(NSString *)name

{
    NSString *sqlStr = [NSString stringWithFormat:@"INSERT INTO 'ACT%@'(name, activityname) VALUES ('%@', '%@')", name, act.name, act.activityName];
    int ret = sqlite3_exec(ADB, sqlStr.UTF8String, NULL, NULL, NULL);
    if (SQLITE_OK == ret) {
        NSLog(@"插入数据成功");
    } else {
        NSLog(@"插入数据失败");
    }
}
- (void)deleteDataWithName:(NSString *)name andactName:(NSString *)actname;
{
    NSString *sqlStr = [NSString stringWithFormat:@"DELETE FROM 'ACT%@' WHERE activityname = '%@'", name, actname]; // number 有错误
    int ret = sqlite3_exec(ADB, sqlStr.UTF8String, NULL, NULL, NULL);
    if (SQLITE_OK == ret) {
        NSLog(@"删除数据成功");
    } else {
        NSLog(@"删除数据失败");
    }
}
- (NSMutableArray *)selectActWithName:(NSString *)name  
{
    NSString *sqlStr = [NSString stringWithFormat:@"SELECT * FROM 'ACT%@'", name];
    sqlite3_stmt *stmt = nil;
    int ret = sqlite3_prepare(ADB, sqlStr.UTF8String, -1, &stmt, NULL);
    if (SQLITE_OK == ret) {
        NSMutableArray *stuArr = [NSMutableArray array];
        while (SQLITE_ROW == sqlite3_step(stmt)) {
            const unsigned char *name = sqlite3_column_text(stmt, 1);
            const unsigned char *activityName = sqlite3_column_text(stmt, 2);
            Activity *act = [[Activity alloc] init];
            act.name = [NSString stringWithUTF8String:(const char *) name];
            act.activityName = [NSString stringWithUTF8String:(const char *) activityName];
            [stuArr addObject:act];
        }
        return stuArr;
    } else {
        NSLog(@"查询数据失败");
        return nil;
    }
}
@end
