//
//  ActivityDatailView.m
//  豆瓣
//
//  Created by YIem on 16/2/29.
//  Copyright © 2016年 www.yiem.net YIem博客. All rights reserved.
//

#import "ActivityDatailView.h"
#import "UIImageView+WebCache.h"

@interface ActivityDatailView ()
@property (nonatomic, retain) UIScrollView *scrollV;

@property (nonatomic, retain) UILabel *titleLabel;

@property (nonatomic, retain) UIImageView *imageV;

@property (nonatomic, retain) UILabel *timeLabel;
/**
 *  举办方
 */
@property (nonatomic, retain) UILabel *nameLabel;
/**
 *  类型
 */
@property (nonatomic, retain) UILabel *categoryLabel;
/**
 *  地址
 */
@property (nonatomic, retain) UILabel *addressLabel;
/**
 *  活动介绍
 */
@property (nonatomic, retain) UILabel *contentLabel;

@end
@implementation ActivityDatailView

- (instancetype)initWithFrame:(CGRect)frame
{
    self = [super initWithFrame:frame];
    if (self) {
        [self creatSubviews];
    }
    return self;
}

- (void)creatSubviews
{
    
    self.scrollV = [[UIScrollView alloc] initWithFrame:self.frame];
    //    self.scrollV.bounces = NO;
    [self addSubview:self.scrollV];

    
    
    self.titleLabel = [[UILabel alloc] initWithFrame:CGRectMake(30, 10, self.frame.size.width - 60, 60)];
    self.titleLabel.numberOfLines = 2;
    self.titleLabel.font = [UIFont systemFontOfSize:20.0];
    self.titleLabel.text = self.actdetdv.title;
    NSLog(@"00-0-0%@", self.actdetdv);
    
    [self.scrollV addSubview:self.titleLabel];

    
    self.imageV = [[UIImageView alloc] initWithFrame:CGRectMake(30, 80, 120, 170)];
    [self.scrollV addSubview:self.imageV];

    
    NSArray *array = @[@"icon_date_blue.png", @"icon_sponsor_blue.png", @"icon_catalog_blue.png", @"icon_spot_blue.png"];
    for (NSInteger i = 0; i < 4; i++) {
        UIImageView *tempImageV = [[UIImageView alloc] initWithFrame:CGRectMake(160, 80 + 30 * i, 25, 25)];
        tempImageV.image = [UIImage imageNamed:array[i]];
        [self.scrollV addSubview:tempImageV];

        
    }
    
    self.timeLabel = [[UILabel alloc] initWithFrame:CGRectMake(190, 80, self.frame.size.width - 210, 25)];
    self.timeLabel.font = [UIFont systemFontOfSize:14.0];
    [self.scrollV addSubview:self.timeLabel];

    
    self.nameLabel = [[UILabel alloc] initWithFrame:CGRectMake(190, 110, self.frame.size.width - 210, 25)];
    self.nameLabel.font = [UIFont systemFontOfSize:14.0];
    [self.scrollV addSubview:self.nameLabel];

    
    self.categoryLabel = [[UILabel alloc] initWithFrame:CGRectMake(190, 140, self.frame.size.width - 210, 25)];
    self.categoryLabel.font = [UIFont systemFontOfSize:14.0];
    [self.scrollV addSubview:self.categoryLabel];

    
    self.addressLabel = [[UILabel alloc] initWithFrame:CGRectMake(190, 173, self.frame.size.width - 210, 50)];
    self.addressLabel.font = [UIFont systemFontOfSize:14.0];
    self.addressLabel.numberOfLines = 0;
    [self.scrollV addSubview:self.addressLabel];

    
    UILabel *aLabel = [[UILabel alloc] initWithFrame:CGRectMake(30, 265, 200, 40)];
    aLabel.font = [UIFont systemFontOfSize:22.0];
    aLabel.text = @"活动介绍";
    [self.scrollV addSubview:aLabel];

    
    self.contentLabel = [[UILabel alloc] initWithFrame:CGRectZero];
    self.contentLabel.font = [UIFont systemFontOfSize:14.0];
    self.contentLabel.numberOfLines = 0;
    [self.scrollV addSubview:self.contentLabel];

    
}

- (void)setAct:(ActivityModel *)actdetdv
{
    self.titleLabel.text = actdetdv.title;
    [self.imageV sd_setImageWithURL:[NSURL URLWithString:actdetdv.image] placeholderImage:[UIImage imageNamed:@"picholder.png"]];
    self.timeLabel.text = [NSString stringWithFormat:@"%@ -- %@", [actdetdv.begin_time substringWithRange:NSMakeRange(5, 11)], [actdetdv.end_time substringWithRange:NSMakeRange(5, 11)]];
    
    self.nameLabel.text = actdetdv.name;
    NSLog(@"%@", actdetdv.name);
    
    self.categoryLabel.text = [NSString stringWithFormat:@"类型:  %@", actdetdv.category_name];
    
    self.addressLabel.text = actdetdv.address;
    CGFloat addressHeight = [[self class] getHeight:actdetdv.address withWidth:self.frame.size.width - 210 andFont:14.0];
    self.addressLabel.frame = CGRectMake(190, 173, self.frame.size.width - 210, addressHeight);
    
    CGFloat contentHeight = [[self class] getHeight:actdetdv.content withWidth:self.frame.size.width - 60 andFont:14];
    self.contentLabel.frame = CGRectMake(30, 320, self.frame.size.width - 60, contentHeight);
    self.contentLabel.text = actdetdv.content;
    self.scrollV.contentSize = CGSizeMake(0, contentHeight + 320 + 20);
    
    
}


+ (CGFloat)getHeight:(NSString *)str withWidth:(CGFloat)width andFont:(CGFloat)font
{
    CGRect rect = [str boundingRectWithSize:CGSizeMake(width, 100000) options:NSStringDrawingUsesLineFragmentOrigin attributes:[NSDictionary dictionaryWithObject:[UIFont systemFontOfSize:font] forKey:NSFontAttributeName] context:nil];
    
    return rect.size.height;
    
}

/*
// Only override drawRect: if you perform custom drawing.
// An empty implementation adversely affects performance during animation.
- (void)drawRect:(CGRect)rect {
    // Drawing code
}
*/

@end
