//
//  ActivityDetailsViewController.m
//  豆瓣
//
//  Created by YIem on 16/1/29.
//  Copyright © 2016年 www.yiem.net YIem博客. All rights reserved.
//

#import "ActivityDetailsViewController.h"
#import "LoginViewController.h"
#import "ActivityDatailView.h"
#import "UserNameDataBaseHandle.h"
#import "ActivityDataMySQL.h"
#import "UserNameDataBaseHandle.h"
#import "Activity.h"
@interface ActivityDetailsViewController ()
@property (nonatomic, retain) UIScrollView *scrollV;

@property (nonatomic, retain) UILabel *titleLabel;

@property (nonatomic, retain) UIImageView *imageV;

@property (nonatomic, retain) UILabel *timeLabel;
/**
 *  举办方
 */
@property (nonatomic, retain) UILabel *nameLabel;
/**
 *  类型
 */
@property (nonatomic, retain) UILabel *categoryLabel;
/**
 *  地址
 */
@property (nonatomic, retain) UILabel *addressLabel;
/**
 *  活动介绍
 */
@property (nonatomic, retain) UILabel *contentLabel;


@property (nonatomic, retain) NSUserDefaults *userNamename;
@end

@implementation ActivityDetailsViewController

- (void)viewDidLoad {
    [super viewDidLoad];
    // Do any additional setup after loading the view.
    self.view.backgroundColor = [UIColor whiteColor];
    self.navigationItem.title = self.actdet.title;
    
    
    self.navigationItem.leftBarButtonItem = [[UIBarButtonItem alloc] initWithImage:[[UIImage imageNamed:@"btn_nav_back.png"] imageWithRenderingMode:UIImageRenderingModeAlwaysOriginal] style:UIBarButtonItemStylePlain target:self action:@selector(leftAction)] ;
    self.navigationItem.rightBarButtonItem = [[UIBarButtonItem alloc] initWithImage:[[UIImage imageNamed:@"btn_nav_share@2x.png"]imageWithRenderingMode:UIImageRenderingModeAlwaysOriginal ] style:UIBarButtonItemStylePlain target:self action:@selector(rightAction)];

    
//    ActivityDatailView *activityDV = [[ActivityDatailView alloc] initWithFrame:self.view.bounds];
//    activityDV.actdetdv = self.actdet;
//     NSLog(@"----%@", activityDV.actdetdv);
//    
//    [self.view addSubview:activityDV];
    
    
    
    
    self.scrollV = [[UIScrollView alloc] initWithFrame:CGRectMake(0, 0, self.view.frame.size.width, self.view.frame.size.height - 69)];
//        self.scrollV.bounces = NO;
    self.scrollV.contentSize = CGSizeMake(self.view.frame.size.width, 2000);
    [self.view addSubview:self.scrollV];
    
    
    
    self.titleLabel = [[UILabel alloc] initWithFrame:CGRectMake(30, 10, self.view.frame.size.width - 60, 60)];
    self.titleLabel.numberOfLines = 2;
    self.titleLabel.font = [UIFont systemFontOfSize:20.0];
    self.titleLabel.text = self.actdet.title;
//    NSLog(@"00-0-0%@", self.actdet);
    
    [self.scrollV addSubview:self.titleLabel];
    
    
    self.imageV = [[UIImageView alloc] initWithFrame:CGRectMake(30, 80, 120, 170)];
    [_imageV sd_setImageWithURL:[NSURL URLWithString:self.actdet.image]];
    [self.scrollV addSubview:self.imageV];
    
    
    NSArray *array = @[@"icon_date_blue.png", @"icon_sponsor_blue.png", @"icon_catalog_blue.png", @"icon_spot_blue.png"];
    for (NSInteger i = 0; i < 4; i++) {
        UIImageView *tempImageV = [[UIImageView alloc] initWithFrame:CGRectMake(160, 80 + 30 * i, 25, 25)];
        tempImageV.image = [UIImage imageNamed:array[i]];
        [self.scrollV addSubview:tempImageV];
        
        
    }
    
    self.timeLabel = [[UILabel alloc] initWithFrame:CGRectMake(190, 80, self.imageV.frame.size.width + 80, 25)];
    self.timeLabel.font = [UIFont systemFontOfSize:14.0];
    self.timeLabel.text = self.actdet.end_time;
    [self.scrollV addSubview:self.timeLabel];
    
    
    self.nameLabel = [[UILabel alloc] initWithFrame:CGRectMake(190, 110, self.timeLabel.frame.size.width, 25)];
    self.nameLabel.font = [UIFont systemFontOfSize:14.0];
    NSLog(@"%@", self.actdet.name);
    
    self.nameLabel.text = self.actdet.name;
    [self.scrollV addSubview:self.nameLabel];
    
    
    self.categoryLabel = [[UILabel alloc] initWithFrame:CGRectMake(190, 140, self.nameLabel.frame.size.width, 25)];
    self.categoryLabel.font = [UIFont systemFontOfSize:14.0];
    self.categoryLabel.text = self.actdet.category_name;
    [self.scrollV addSubview:self.categoryLabel];
    
    
    self.addressLabel = [[UILabel alloc] initWithFrame:CGRectMake(190, 167, self.categoryLabel.frame.size.width, 50)];
    self.addressLabel.font = [UIFont systemFontOfSize:14.0];
    self.addressLabel.numberOfLines = 0;
    self.addressLabel.text = self.actdet.address;
    [self.scrollV addSubview:self.addressLabel];
    
    
    UILabel *aLabel = [[UILabel alloc] initWithFrame:CGRectMake(30, 265, 200, 40)];
    aLabel.font = [UIFont systemFontOfSize:22.0];
    aLabel.text = @"活动介绍";
    [self.scrollV addSubview:aLabel];
    
    
    self.contentLabel = [[UILabel alloc] initWithFrame:CGRectMake(30, 265 + aLabel.frame.size.height + 20, self.view.frame.size.width - 50, self.view.frame.size.height)];
    self.contentLabel.font = [UIFont systemFontOfSize:14.0];
    self.contentLabel.numberOfLines = 0;
    self.contentLabel.lineBreakMode = NSLineBreakByTruncatingMiddle;
    self.contentLabel.text = self.actdet.content;
//    NSLog(@"%@", self.actdet.content);
    [self.scrollV addSubview:self.contentLabel];
    
    // 自适应高度
    CGFloat contentHeight = [[self class] getHeight:self.actdet.content withWidth:self.view.frame.size.width - 60 andFont:14];
    self.contentLabel.frame = CGRectMake(30, 320, self.view.frame.size.width - 60, contentHeight);
//    self.contentLabel.text = act.content;
    self.scrollV.contentSize = CGSizeMake(0, contentHeight + 320 + 20);
    
    

}
// 自适应高度 方法
+ (CGFloat)getHeight:(NSString *)str withWidth:(CGFloat)width andFont:(CGFloat)font
{
    CGRect rect = [str boundingRectWithSize:CGSizeMake(width, 100000) options:NSStringDrawingUsesLineFragmentOrigin attributes:[NSDictionary dictionaryWithObject:[UIFont systemFontOfSize:font] forKey:NSFontAttributeName] context:nil];
    return rect.size.height;
}

- (void)leftAction
{
    [self.navigationController popViewControllerAnimated:YES];
}
#if 1
- (void)rightAction
{
    NSLog(@"%@",self.actdet.ID);
    NSLog(@"%@", self.actdet.title);
    self.userNamename = [NSUserDefaults standardUserDefaults];
    [self.userNamename objectForKey:@"usernamename"];
    
    NSString *str = [self.userNamename objectForKey:@"usernamename"];
    NSLog(@"%@", str);
//    if (str == 0) {
//        // 提示框
//        UIAlertController *alrerC = [UIAlertController alertControllerWithTitle:@"警告!" message:@"收藏失败/ 没有登录" preferredStyle:UIAlertControllerStyleAlert];
//        // 点选按钮
//        UIAlertAction *alertYES = [UIAlertAction actionWithTitle:@"登录" style:UIAlertActionStyleDefault handler:^(UIAlertAction * _Nonnull action) {
//            LoginViewController *log = [[LoginViewController alloc] init];
//            [self presentViewController:log animated:YES completion:nil];
//        }];
//        // 将按钮添加到提示框
//        [alrerC addAction:alertYES];
//        // 弹出提示框
//        [self presentViewController:alrerC animated:YES completion:^{
//            
//        }];
//
//    }
    [[ActivityDataMySQL shareDataBase] selectActWithName:str];
    NSLog(@"+++%@", str);
    Activity *ac = [[Activity alloc] init];
    ac.name = self.actdet.ID;
    ac.activityName = self.actdet.title;
    NSLog(@"--%@ --%@", ac.name, ac.activityName);
    
    NSArray *arr = [[ActivityDataMySQL shareDataBase]selectActWithName:str];
    NSLog(@"%@", arr);
    NSMutableArray *nameArr = [NSMutableArray array];
    for (Activity *ac in arr) {
        [nameArr addObject:ac.name];
    }
        
    if ([nameArr containsObject:ac.name]) {
        // 提示框
        UIAlertController *alrerC = [UIAlertController alertControllerWithTitle:@"警告!" message:@"收藏失败/ 已经存在" preferredStyle:UIAlertControllerStyleAlert];
        // 点选按钮
        UIAlertAction *alertYES = [UIAlertAction actionWithTitle:@"YES" style:UIAlertActionStyleDefault handler:^(UIAlertAction * _Nonnull action) {
            
        }];
        // 将按钮添加到提示框
        [alrerC addAction:alertYES];
        // 弹出提示框
        [self presentViewController:alrerC animated:YES completion:^{
            
        }];
    } else {
        
        
        
        Activity *ac = [[Activity alloc] init];
        ac.name = self.actdet.ID;
        ac.activityName = self.actdet.title;
        NSLog(@"%@ %@", ac.name, ac.activityName);
        
        [[ActivityDataMySQL shareDataBase] insertDataWithAct:ac andname:[self.userNamename objectForKey:@"usernamename" ]];

        // 提示框
        UIAlertController *alrerC = [UIAlertController alertControllerWithTitle:@"提示!" message:@"收藏成功" preferredStyle:UIAlertControllerStyleAlert];
        // 点选按钮
        UIAlertAction *alertYES = [UIAlertAction actionWithTitle:@"YES" style:UIAlertActionStyleDefault handler:^(UIAlertAction * _Nonnull action) {
            
        }];
        // 将按钮添加到提示框
        [alrerC addAction:alertYES];
        // 弹出提示框
        [self presentViewController:alrerC animated:YES completion:^{
            
            }];
        }
    }

#endif




- (void)didReceiveMemoryWarning {
    [super didReceiveMemoryWarning];
    // Dispose of any resources that can be recreated.
}

/*
#pragma mark - Navigation

// In a storyboard-based application, you will often want to do a little preparation before navigation
- (void)prepareForSegue:(UIStoryboardSegue *)segue sender:(id)sender {
    // Get the new view controller using [segue destinationViewController].
    // Pass the selected object to the new view controller.
}
*/

@end
