//
//  ActivityViewController.m
//  豆瓣
//
//  Created by YIem on 16/1/29.
//  Copyright © 2016年 www.yiem.net YIem博客. All rights reserved.
//

#import "ActivityViewController.h"
#import "ActivityModel.h"
#import "ActivityTableViewCell.h"
#import "ActivityDetailsViewController.h"
#import "UIImageView+WebCache.h"
@interface ActivityViewController ()<UITableViewDelegate, UITableViewDataSource>
@property (nonatomic, retain) UITableView *tableView;
@property (nonatomic, strong) NSMutableArray *dataArr;
@end

@implementation ActivityViewController

- (void)viewDidLoad {
    [super viewDidLoad];
    // Do any additional setup after loading the view.
    self.view.backgroundColor = [UIColor whiteColor];
    self.navigationItem.title = @"活动";
    [self.navigationController.navigationBar setBackgroundImage:[UIImage imageNamed:@"bg_nav@2x.png"] forBarMetrics:0];
    [self createTableView];
    [self dataHandler];
}
- (void)createTableView
{
    self.tableView = [[UITableView alloc]initWithFrame:CGRectMake(0, 0, self.view.frame.size.width, self.view.frame.size.height - 70) style:UITableViewStylePlain];
    _tableView.delegate = self;
    _tableView.dataSource = self;
    [self.view addSubview:_tableView];
    // 注册
    [_tableView registerClass:[ActivityTableViewCell class] forCellReuseIdentifier:@"cell"];
}

- (void)dataHandler
{
    /*
    NSString *path = [[NSBundle mainBundle]pathForResource:@"activity" ofType:@"plist"];
    // 保存数据源
    NSArray *arr = [NSArray arrayWithContentsOfFile:path];
    // 初始化
    self.dataArr = [ActivityModel modelHanderWithArray:arr ];
    */
    NSString *filePath = [[NSBundle mainBundle] pathForResource:@"activitylist" ofType:@"txt"];
    NSData *data = [NSData dataWithContentsOfFile:filePath];
    NSMutableDictionary *arr = [NSJSONSerialization JSONObjectWithData:data options:NSJSONReadingMutableContainers error:nil];
    self.dataArr = [NSMutableArray array];
    
    NSLog(@"%@", self.dataArr);
    for (NSDictionary *dic in [arr objectForKey:@"events"] ) {
        ActivityModel *model = [[ActivityModel alloc] init];
        [model setValuesForKeysWithDictionary:dic];
        model.name = [[dic objectForKey:@"owner"] objectForKey:@"name"];
        [self.dataArr addObject:model];
    }
    
}
- (NSInteger)tableView:(UITableView *)tableView numberOfRowsInSection:(NSInteger)section
{
    return _dataArr.count;
}
- (UITableViewCell *)tableView:(UITableView *)tableView cellForRowAtIndexPath:(NSIndexPath *)indexPath
{
    
    ActivityTableViewCell *cell = [tableView dequeueReusableCellWithIdentifier:@"cell" forIndexPath:indexPath];

    ActivityModel *m = _dataArr[indexPath.row];
    cell.titleLable.text = m.title;
    cell.timeLable.text = m.begin_time;
    cell.addressLable.text = m.address;
    cell.cateLable.text = m.category_name;
    cell.wisheLable.text = m.wisher_count.stringValue;
    cell.partLable.text = m.participant_count.stringValue;
    cell.actID = m.ID;
    // [cell.imgView sd_setImageWithURL:[NSURL URLWithString:m.laargrImage]];
    //  cell.imgView.image = [UIImage imageNamed:@"image"];
    // cell.imgView.image = [UIImage imageNamed:m.image];
    [cell.imgView sd_setImageWithURL:[NSURL URLWithString:m.image]];
    // 背景
    cell.tutu1.image = [UIImage imageNamed:@"bg_eventlistcell"];
    cell.tutu2.image = [UIImage imageNamed:@"bg_share_large"];
    // 小图标
    cell.tu1.image = [UIImage imageNamed:@"icon_date"];
    cell.tu2.image = [UIImage imageNamed:@"icon_spot"];
    cell.tu3.image = [UIImage imageNamed:@"icon_catalog"];
    // 固定值
    cell.lu1.text = @"感兴趣:";
    cell.lu2.text = @"参加:";
    cell.lu3.text = @"类型:";
    // 右图片
    //   cell.imgView.image = [UIImage imageNamed:@""];
    
    return cell;
}
- (CGFloat)tableView:(UITableView *)tableView heightForRowAtIndexPath:(NSIndexPath *)indexPath
{
    return 240;
}
// 点击
- (void)tableView:(UITableView *)tableView didSelectRowAtIndexPath:(NSIndexPath *)indexPath
{
    ActivityDetailsViewController *twVC = [[ActivityDetailsViewController alloc]init];
    
    twVC.actdet = [self.dataArr objectAtIndex:indexPath.row];
    NSLog(@"%@",twVC.actdet);
    [self.navigationController pushViewController:twVC animated:YES];
}



- (void)didReceiveMemoryWarning {
    [super didReceiveMemoryWarning];
    // Dispose of any resources that can be recreated.
}

/*
#pragma mark - Navigation

// In a storyboard-based application, you will often want to do a little preparation before navigation
- (void)prepareForSegue:(UIStoryboardSegue *)segue sender:(id)sender {
    // Get the new view controller using [segue destinationViewController].
    // Pass the selected object to the new view controller.
}
*/

@end
