//
//  CinemaViewController.m
//  豆瓣
//
//  Created by YIem on 16/1/29.
//  Copyright © 2016年 www.yiem.net YIem博客. All rights reserved.
//

#import "CinemaViewController.h"
#import "CinemaModel.h"
#import "CinemaTableViewCell.h"
@interface CinemaViewController ()<UITableViewDataSource, UITableViewDelegate>
@property (nonatomic, strong) UITableView *tableView;
@property (nonatomic, strong) NSMutableArray *dataArr;

@end

@implementation CinemaViewController

- (void)viewDidLoad {
    [super viewDidLoad];
    // Do any additional setup after loading the view.
//    self.view.backgroundColor = [UIColor whiteColor];
    self.navigationItem.title = @"影院";
    [self.navigationController.navigationBar setBackgroundImage:[UIImage imageNamed:@"bg_nav@2x.png"] forBarMetrics:0];
    [self centTableView];
    [self dataHander];
}
- (void)centTableView
{
    self.tableView = [[UITableView alloc]initWithFrame:CGRectMake(0, 0, self.view.frame.size.width, self.view.frame.size.height - 70) style:UITableViewStylePlain];
    _tableView.delegate = self;
    _tableView.dataSource = self;
    [self.view addSubview:_tableView];
    [_tableView registerClass:[CinemaTableViewCell class] forCellReuseIdentifier:@"cell"];
}
- (void)dataHander
{
//    NSArray *arr = [NSArray arrayWithContentsOfFile:[[NSBundle mainBundle] pathForResource:@"cinema" ofType:@"plist"]] ;
    
    NSURL *url = [NSURL URLWithString:@"http://project.lanou3g.com/teacher/yihuiyun/lanouproject/cinemalist.php"];
    NSURLRequest *request = [NSURLRequest requestWithURL:url];
    NSURLSession *session = [NSURLSession sessionWithConfiguration:[NSURLSessionConfiguration defaultSessionConfiguration]];
    self.dataArr = [NSMutableArray array];
    NSURLSessionDataTask *getTask = [session dataTaskWithRequest:request completionHandler:^(NSData * _Nullable data, NSURLResponse * _Nullable response, NSError * _Nullable error) {
        NSMutableDictionary *dic = [NSJSONSerialization JSONObjectWithData:data options:NSJSONReadingMutableContainers error:nil];
//        NSLog(@"%@", dic);
        
        for (NSDictionary *tempdic in [[dic objectForKey:@"result"] objectForKey:@"data"]) {
            
        CinemaModel *Cinmodel = [[CinemaModel alloc] init];
//            NSLog(@"--- %@", [[dic objectForKey:@"result"] objectForKey:@"data"]);
//            NSLog(@"-+-+-+-%@", tempdic);
            [Cinmodel setValuesForKeysWithDictionary:tempdic];
           
//            NSLog(@"=-=-=-=%@", Cinmodel);
            [self.dataArr addObject:Cinmodel];
//            NSLog(@"%@AAAA", Cinmodel);
        }
        
        [self.tableView reloadData];
    }];
    
    [getTask resume];
    
//    self.dataArr = [CinemaModel modelHanderWithArray:arr];
//    NSLog(@"----%@", self.dataArr);
    
}
- (NSInteger)tableView:(UITableView *)tableView numberOfRowsInSection:(NSInteger)section
{
    return _dataArr.count;
}
- (UITableViewCell *)tableView:(UITableView *)tableView cellForRowAtIndexPath:(NSIndexPath *)indexPath
{
    CinemaTableViewCell *cell = [tableView dequeueReusableCellWithIdentifier:@"cell" forIndexPath:indexPath];
    CinemaModel *m = _dataArr[indexPath.row];
    cell.TitleLable.text = m.cinemaName;
    cell.BodyLable.text = m.address;
    cell.TimeLable.text = m.telephone;
    cell.bjimg.image = [UIImage imageNamed:@"bg_eventlistcell"];
    return cell;
}
- (CGFloat)tableView:(UITableView *)tableView heightForRowAtIndexPath:(NSIndexPath *)indexPath
{
    // 得到label高度
    CGFloat h = [CinemaTableViewCell heightWithText:[_dataArr[indexPath.row] string]];
    
    return h + 150;
}

- (void)didReceiveMemoryWarning {
    [super didReceiveMemoryWarning];
    // Dispose of any resources that can be recreated.
}

/*
#pragma mark - Navigation

// In a storyboard-based application, you will often want to do a little preparation before navigation
- (void)prepareForSegue:(UIStoryboardSegue *)segue sender:(id)sender {
    // Get the new view controller using [segue destinationViewController].
    // Pass the selected object to the new view controller.
}
*/

@end
