//
//  LoginViewController.m
//  豆瓣
//
//  Created by YIem on 16/1/29.
//  Copyright © 2016年 www.yiem.net YIem博客. All rights reserved.
//

#import "LoginViewController.h"
#import "RegisterViewController.h"
#import "LoginRegisterView.h"
#import "username.h"
#import "UserNameDataBaseHandle.h"
#import "MovieDataMySQL.h"
#import "ActivityDataMySQL.h"
@interface LoginViewController ()
@property (nonatomic, retain) LoginRegisterView *name;
@property (nonatomic, retain) LoginRegisterView *pass;
@property (nonatomic, retain) UIButton *logButton;
@property (nonatomic, retain) UIButton *regButton;
@property (nonatomic, retain) NSUserDefaults  *userbool;
@property (nonatomic, retain) NSUserDefaults *userNameName;
@end

@implementation LoginViewController
// 当视图快要出现时将第一个TextField设置为响应者
- (void)viewWillAppear:(BOOL)animated
{
    [[self.view viewWithTag: 100] becomeFirstResponder];
}

- (void)viewDidLoad {
    [super viewDidLoad];
    // Do any additional setup after loading the view.
    self.view.backgroundColor = [UIColor redColor];
    self.navigationItem.title = @"用户登录";
    
    
    
    self.name = [[LoginRegisterView alloc] initWithFrame:CGRectMake(20, 100,self.view.frame.size.width, 60)];
    self.name.label.text = @"帐号";
    self.name.textField.placeholder = @"邮箱地址或用户名";
    self.name.textField.borderStyle = UITextBorderStyleRoundedRect;

    [self.view addSubview:self.name];

    // password
    self.pass = [[LoginRegisterView alloc] initWithFrame:CGRectMake(self.name.frame.origin.x, self.name.frame.origin.y + self.name.frame.size.height + 20 , self.name.frame.size.width, self.name.frame.size.height)];
    self.pass.label.text = @"密码";
    self.pass.textField.placeholder = @"4 - 12为字符";
    self.pass.textField.secureTextEntry = YES;

    [self.view addSubview:self.pass];

    
    
    self.logButton = [UIButton buttonWithType:UIButtonTypeSystem];
    self.logButton.frame = CGRectMake(100, 300, 100, 50);
    [self.logButton addTarget:self action:@selector(logAction) forControlEvents:UIControlEventTouchUpInside];
    [self.logButton setTitle:@"登录" forState:UIControlStateNormal];
    [self.logButton setTitleColor:[UIColor whiteColor] forState:UIControlStateNormal];
    self.logButton.backgroundColor = [UIColor orangeColor];
    self.logButton.layer.cornerRadius = 10;
    [self.view addSubview:self.logButton];
    self.regButton = [UIButton buttonWithType:UIButtonTypeSystem];
    self.regButton.frame = CGRectMake(250, 300, 100, 50);
    [self.regButton addTarget:self action:@selector(regAction) forControlEvents:UIControlEventTouchUpInside];
    [self.regButton setTitle:@"注册" forState:UIControlStateNormal];
    [self.regButton setTitleColor:[UIColor whiteColor] forState:UIControlStateNormal];
    self.regButton.backgroundColor = [UIColor orangeColor];
    self.regButton.layer.cornerRadius = 10;
    [self.view addSubview:self.regButton];
    
    
    
    [self zuoshang];
}
- (void)regAction
{
    RegisterViewController *regVC = [[RegisterViewController alloc] init];
    [self.navigationController pushViewController:regVC animated:YES];
}
- (void)logAction
{
    [[UserNameDataBaseHandle shareCollectDataBase]openDB];
    username *use = [[username alloc] init];
    NSMutableArray *array = [[UserNameDataBaseHandle shareCollectDataBase] selectAllUserName:self.name.textField.text];
    use = array.firstObject;
    NSLog(@"+-+-%@", use.userName);
    BOOL login = NO;
    if (use.userName ==  self.name.textField.text && use.password == self.pass.textField.text) {
        // 登陆成功 登录状态设置为YES
        [UserNameDataBaseHandle shareCollectDataBase].state = YES;
        
        login = YES;

        [self.userbool setBool:YES forKey:@"isLogin"];
        NSLog(@"登录成功");
        // 打开 电影数据库
        [[MovieDataMySQL shareDataBase] openDB];
        [[MovieDataMySQL shareDataBase] createTableWithName:self.name.textField.text];
        // 打开 活动数据库
        [[ActivityDataMySQL shareDataBase] openDB];
        [[ActivityDataMySQL shareDataBase] createTableWithName:self.name.textField.text];
        // 写入本地
        self.userNameName = [NSUserDefaults standardUserDefaults];
        [self.userNameName setObject:self.name.textField.text forKey:@"usernamename"];

        
        self.namea = self.name.textField.text;
        
        
        // 提示框
        UIAlertController *alrerC = [UIAlertController alertControllerWithTitle:@"提示" message:@"登录成功" preferredStyle:UIAlertControllerStyleAlert];
        // 点选按钮
        UIAlertAction *alertYES = [UIAlertAction actionWithTitle:@"确认" style:UIAlertActionStyleDefault handler:^(UIAlertAction * _Nonnull action) {
            
//            [self.navigationController popViewControllerAnimated:YES];
            [self dismissViewControllerAnimated:YES completion:nil];
            
        }];

        // 将按钮添加到提示框
        [alrerC addAction:alertYES];
        // 弹出提示框
        [self presentViewController:alrerC animated:YES completion:^{
            
        }];

        
    } else if (use.userName != self.name.textField.text) {
        NSLog(@"没有这个用户名");
        // 提示框
        UIAlertController *alrerC = [UIAlertController alertControllerWithTitle:@"警告!" message:@"没有这个用户! \n 请注册!" preferredStyle:UIAlertControllerStyleAlert];
        // 点选按钮
        UIAlertAction *alertYES = [UIAlertAction actionWithTitle:@"确认注册" style:UIAlertActionStyleDefault handler:^(UIAlertAction * _Nonnull action) {
            RegisterViewController *regVC = [[RegisterViewController alloc] init];
            [self.navigationController pushViewController:regVC animated:YES];
        }];
        // 点选按钮
//        UIAlertAction *alertNO = [UIAlertAction actionWithTitle:@"NO" style:UIAlertActionStyleDefault handler:^(UIAlertAction * _Nonnull action) {
//            
//        }];
        // 将按钮添加到提示框
        [alrerC addAction:alertYES];
//        [alrerC addAction:alertNO];
        // 弹出提示框
        [self presentViewController:alrerC animated:YES completion:^{

        }];
        
    } else if (use.password != self.pass.textField.text) {
        NSLog(@" 密码错误");
        
        // 提示框
        UIAlertController *alrerC = [UIAlertController alertControllerWithTitle:@"警告!" message:@"密码错误请重新输入!\n 或者重新注册" preferredStyle:UIAlertControllerStyleAlert];
        // 点选按钮
        UIAlertAction *alertYES = [UIAlertAction actionWithTitle:@"确认" style:UIAlertActionStyleDefault handler:^(UIAlertAction * _Nonnull action) {
            
        }];
        // 点选按钮
        UIAlertAction *alertNO = [UIAlertAction actionWithTitle:@"注册" style:UIAlertActionStyleDefault handler:^(UIAlertAction * _Nonnull action) {
            RegisterViewController *regVC = [[RegisterViewController alloc] init];
            [self.navigationController pushViewController:regVC animated:YES];
        }];
        // 将按钮添加到提示框
        [alrerC addAction:alertYES];
        [alrerC addAction:alertNO];
        // 弹出提示框
        [self presentViewController:alrerC animated:YES completion:^{
            
        }];
    }
}

- (void)zuoshang
{
    self.navigationItem.leftBarButtonItem = [[UIBarButtonItem alloc] initWithTitle:@"返回" style:UIBarButtonItemStylePlain target:self action:@selector(leftAction)];
    
    self.navigationItem.leftBarButtonItem.tintColor = [UIColor blueColor];
}
- (void)leftAction
{
//    [self.navigationController popViewControllerAnimated:YES];
    [self dismissViewControllerAnimated:YES completion:nil];
}

- (void)didReceiveMemoryWarning {
    [super didReceiveMemoryWarning];
    // Dispose of any resources that can be recreated.
}

/*
#pragma mark - Navigation

// In a storyboard-based application, you will often want to do a little preparation before navigation
- (void)prepareForSegue:(UIStoryboardSegue *)segue sender:(id)sender {
    // Get the new view controller using [segue destinationViewController].
    // Pass the selected object to the new view controller.
}
*/

@end
