//
//  MovieDataMySQL.m
//  豆瓣
//
//  Created by YIem on 16/3/7.
//  Copyright © 2016年 www.yiem.net YIem博客. All rights reserved.
//

#import "MovieDataMySQL.h"
#import "movie.h"
#import <sqlite3.h>
@implementation MovieDataMySQL
+ (instancetype)shareDataBase
{
    static MovieDataMySQL *dataBase = nil;
    if (nil == dataBase) {
        dataBase = [[MovieDataMySQL alloc]init];
    }
    return dataBase;
}
static sqlite3 *MODB = nil;
- (void)openDB
{
    // 获取文件路径
    NSString *filePath = [NSSearchPathForDirectoriesInDomains(NSDocumentDirectory, NSUserDomainMask, YES)lastObject];
    NSLog(@"%@", filePath);
    NSString *file = [filePath stringByAppendingPathComponent:@"movieDataBase.db"];
    int ret = sqlite3_open(file.UTF8String, &MODB);
    if (SQLITE_OK == ret) {
        NSLog(@"打开数据库成功");
    }   else {
        NSLog(@"打开数据库失败");
    }
    
}
- (void)closeDB
{
    int ret = sqlite3_close(MODB);
    if (SQLITE_OK == ret) {
        NSLog(@"关闭数据库成功");
    } else {
        NSLog(@"关闭数据库失败");
    }
}
//
- (void)createTableWithName:(NSString *)name
{
    NSString *sqlStr = [NSString stringWithFormat:@"CREATE TABLE IF NOT EXISTS 'MOVIE%@' (number integer PRIMARY KEY AUTOINCREMENT, name TEXT, moviename TEXT)", name];
    int ret = sqlite3_exec(MODB, sqlStr.UTF8String, NULL, NULL, nil);
    if (SQLITE_OK == ret) {
        NSLog(@"创建表单成功");
    } else {
        NSLog(@"创建表单失败");
    }
}
- (void)insertDataWithMovie:(movie *)movie andname:(NSString *)name
{
    NSString *sqlStr = [NSString stringWithFormat:@"INSERT INTO 'MOVIE%@'(name, moviename) VALUES ('%@', '%@')", name, movie.name, movie.movieName];
    int ret = sqlite3_exec(MODB, sqlStr.UTF8String, NULL, NULL, NULL);
    if (SQLITE_OK == ret) {
        NSLog(@"插入数据成功");
    } else {
        NSLog(@"插入数据失败");
    }
}
- (void)deleteDataWithMovie:(NSString *)movie andname:(NSString *)movieName
{
    NSString *sqlStr = [NSString stringWithFormat:@"DELETE FROM MOVIE%@ WHERE moviename = '%@'", movie, movieName];
    int ret = sqlite3_exec(MODB, sqlStr.UTF8String, NULL, NULL, NULL);
    if (SQLITE_OK == ret) {
        NSLog(@"删除数据成功");
    } else {
        NSLog(@"删除数据失败");
    }
}
- (NSMutableArray *)selectMovieWithName:(NSString *)name
{
    NSString *sqlStr = [NSString stringWithFormat:@"SELECT * FROM 'MOVIE%@'", name];
    sqlite3_stmt *stmt = nil;
    int ret = sqlite3_prepare(MODB, sqlStr.UTF8String, -1, &stmt, NULL);
    if (SQLITE_OK == ret) {
        NSMutableArray *stuArr = [NSMutableArray array];
        while (SQLITE_ROW == sqlite3_step(stmt)) {
            const unsigned char *name = sqlite3_column_text(stmt, 1);
            const unsigned char *movieName = sqlite3_column_text(stmt, 2);
            movie *m = [[movie alloc] init];
            m.name = [NSString stringWithUTF8String:(const char *) name];
            m.movieName = [NSString stringWithUTF8String:(const char *) movieName];
            [stuArr addObject:m];
        }
        return stuArr;
    } else {
        NSLog(@"查询数据失败");
        return nil;
    }
}
@end
