//
//  MovieDetailsViewController.m
//  豆瓣
//
//  Created by YIem on 16/1/29.
//  Copyright © 2016年 www.yiem.net YIem博客. All rights reserved.
//

#import "MovieDetailsViewController.h"
#import "moviemode.h"
#import "movie.h"
#import "MovieModel.h"
#import "ActivityDetailsViewController.h"
#import "UserNameDataBaseHandle.h"
#import "MovieDataMySQL.h"
#import "LoginViewController.h"

@interface MovieDetailsViewController ()
@property (nonatomic, retain) NSMutableArray *dataArr;

@property (nonatomic, retain) UIScrollView *scrollV;

@property (nonatomic, retain) UIImageView *imageV;

@property (nonatomic, retain) UILabel *ratingLabel;

@property (nonatomic, retain) UILabel *release_dateLabel;

@property (nonatomic, retain) UILabel *genresLabel;

@property (nonatomic, retain) UILabel *countryLabel;

@property (nonatomic, retain) UILabel *runtimeLabel;

@property (nonatomic, retain) UILabel *actorsLabel;

@property (nonatomic, retain) UILabel *plot_simpleLabel;

@property (nonatomic, retain) UILabel *bLabel;

/*plot_simple：简介
	title：电影名字
	genres：分类
	country：国家
	runtime：时间
	poster：图片
	rating_count: 评论人数
	rating：评分
	release_date：上映时间
	actors：制作人信息
*/

@property (nonatomic, retain) NSUserDefaults *userNamename;
@end

@implementation MovieDetailsViewController

- (void)viewDidLoad {
    [super viewDidLoad];
    // Do any additional setup after loading the view.
    self.view.backgroundColor = [UIColor whiteColor];
    
   
    
    
    self.navigationItem.leftBarButtonItem = [[UIBarButtonItem alloc] initWithImage:[[UIImage imageNamed:@"btn_nav_back.png"] imageWithRenderingMode:UIImageRenderingModeAlwaysOriginal] style:UIBarButtonItemStylePlain target:self action:@selector(leftAction)] ;
    self.navigationItem.rightBarButtonItem = [[UIBarButtonItem alloc] initWithImage:[[UIImage imageNamed:@"btn_nav_share@2x.png"]imageWithRenderingMode:UIImageRenderingModeAlwaysOriginal ] style:UIBarButtonItemStylePlain target:self action:@selector(rightAction)];
   
    [self getData];
    

    //
    self.scrollV = [[UIScrollView alloc] initWithFrame:CGRectMake(0, 0, self.view.frame.size.width, self.view.frame.size.height - 79)];
    self.scrollV.backgroundColor = [UIColor whiteColor];
    self.scrollV.contentSize = CGSizeMake(self.view.frame.size.width - 60, 1000);
    self.scrollV.bounces = NO;
    [self.view addSubview:self.scrollV];

    
    self.imageV = [[UIImageView alloc] initWithFrame:CGRectMake(30, 30, 100, 160)];
    [self.scrollV addSubview:self.imageV];

    
    self.ratingLabel = [[UILabel alloc] initWithFrame:CGRectMake(160, 30, 220, 30)];
    self.ratingLabel.font = [UIFont systemFontOfSize:16.0];
    [self.scrollV addSubview:self.ratingLabel];

    
    self.release_dateLabel = [[UILabel alloc] initWithFrame:CGRectMake(160, 60, 200, 30)];
    self.release_dateLabel.font = [UIFont systemFontOfSize:16.0];
    [self.scrollV addSubview:self.release_dateLabel];

    
    self.runtimeLabel = [[UILabel alloc] initWithFrame:CGRectMake(160, 90, 200, 30)];
    self.runtimeLabel.font = [UIFont systemFontOfSize:16.0];
    [self.scrollV addSubview:self.runtimeLabel];

    
    self.genresLabel = [[UILabel alloc] initWithFrame:CGRectMake(160, 120, 200, 30)];
    self.genresLabel.font = [UIFont systemFontOfSize:16.0];
    [self.scrollV addSubview:self.genresLabel];

    
    self.countryLabel = [[UILabel alloc] initWithFrame:CGRectMake(160, 150, 200, 30)];
    self.countryLabel.font = [UIFont systemFontOfSize:16.0];
    [self.scrollV addSubview:self.countryLabel];

    
    UILabel *aLabel = [[UILabel alloc] initWithFrame:CGRectMake(30, 210, 100, 40)];
    aLabel.text = @"制作人";
    aLabel.font = [UIFont systemFontOfSize:22.0];
    [self.scrollV addSubview:aLabel];
    
    
    self.actorsLabel = [[UILabel alloc] initWithFrame:CGRectMake(30, 260, self.view.frame.size.width - 60, 30)];
    self.actorsLabel.numberOfLines = 0;
    self.actorsLabel.font = [UIFont systemFontOfSize:16.0];
    [self.scrollV addSubview:self.actorsLabel];

    
    self.bLabel = [[UILabel alloc] init];
    self.bLabel.frame = CGRectMake(30, self.actorsLabel.frame.origin.y + self.actorsLabel.frame.size.height + 20, self.view.frame.size.width - 60, 40) ;
    self.bLabel.text = @"电影情节";
    self.bLabel.font = [UIFont systemFontOfSize:22.0];
    [self.scrollV addSubview:self.bLabel];

    
    self.plot_simpleLabel = [[UILabel alloc] init];
    self.plot_simpleLabel.font = [UIFont systemFontOfSize:16.0];
    self.plot_simpleLabel.numberOfLines = 0;
    [self.scrollV addSubview:self.plot_simpleLabel];


  
}

- (void)getData
{
    
    
    //    NSString *str = [NSString stringWithString:self.actdet.movieid];
    //    NSString *strurl = [str ]
    //    NSLog(@"---%@", self.actdet.movieid);
    NSLog(@"%@", self.movieid);
    NSURL *url = [NSURL URLWithString:[NSString stringWithFormat:@"http://project.lanou3g.com/teacher/yihuiyun/lanouproject/searchmovie.php?movieId=%@", self.movieid]];
    
    NSURLRequest *request = [NSURLRequest requestWithURL:url];
    NSURLSession *session = [NSURLSession sessionWithConfiguration:[NSURLSessionConfiguration defaultSessionConfiguration]];
    
    self.dataArr = [NSMutableArray array];
    NSURLSessionDataTask *getTask = [session dataTaskWithRequest:request completionHandler:^(NSData * _Nullable data, NSURLResponse * _Nullable response, NSError * _Nullable error) {
        NSMutableDictionary *dic = [NSJSONSerialization JSONObjectWithData:data options:NSJSONReadingMutableContainers error:nil];
        
        moviemode *movmodel = [[moviemode alloc] init];
        
        [movmodel setValuesForKeysWithDictionary:[dic objectForKey:@"result"]];
        
        
        [self.dataArr addObject:movmodel];
        
        //        NSLog(@"--%@", [dic objectForKey:@"result"]);
        
        self.navigationItem.title = movmodel.title;
        self.movietit = movmodel.title;
        [self.imageV sd_setImageWithURL:[NSURL URLWithString:movmodel.poster]];
//        self.imageV.image = movmodel.poster;
        self.ratingLabel.text = [NSString stringWithFormat:@"评分:  %@     (%@评论)", movmodel.rating, movmodel.rating_count];
        self.ratingLabel.text = movmodel.rating;
        self.release_dateLabel.text = movmodel.release_date;

        NSLog(@"%@", movmodel.release_date);
        self.runtimeLabel.text = movmodel.runtime;
        self.genresLabel.text = movmodel.genres;
        self.countryLabel.text = movmodel.country;
        self.actorsLabel.text = movmodel.actors;
        self.plot_simpleLabel.text = movmodel.plot_simple;
        
//                [self.scrollV reloadData];
        
        //        self.navigationItem.title =
        
 
        CGFloat aHeight = [ActivityDetailsViewController getHeight:movmodel.actors withWidth:self.view.frame.size.width - 60 andFont:16.0];
        self.actorsLabel.frame = CGRectMake(30, 260, self.view.frame.size.width - 60, aHeight);

        
//        CGFloat pHeight = [ActivityDetailsViewController getHeight:movmodel.plot_simple withWidth:self.view.frame.size.width - 60 andFont:16.0];
//        self.plot_simpleLabel.frame = CGRectMake(30, self.bLabel.frame.size.height + self.bLabel.frame.origin.y + 10, self.view.frame.size.width - 60, pHeight);
        CGFloat contentHeight = [[self class] getHeight:movmodel.plot_simple withWidth:self.view.frame.size.width - 60 andFont:16];
        //        self.actorsLabel.frame = CGRectMake(30, 320, self.view.frame.size.width - 60, contentHeight);
        self.plot_simpleLabel.frame = CGRectMake(30, self.bLabel.frame.size.height + self.bLabel.frame.origin.y + 10, self.view.frame.size.width - 60, contentHeight);
        self.scrollV.contentSize = CGSizeMake(self.view.frame.size.width - 60, self.view.frame.size.height);
    }];
    
    [getTask resume];
    
    
    
    
    
}
+ (CGFloat)getHeight:(NSString *)str withWidth:(CGFloat)width andFont:(CGFloat)font
{
    CGRect rect = [str boundingRectWithSize:CGSizeMake(width, 100000) options:NSStringDrawingUsesLineFragmentOrigin attributes:[NSDictionary dictionaryWithObject:[UIFont systemFontOfSize:font] forKey:NSFontAttributeName] context:nil];
    return rect.size.height;
}
- (void)leftAction
{
    [self.navigationController popViewControllerAnimated:YES];
}

- (void)rightAction

{
    self.userNamename = [NSUserDefaults standardUserDefaults];
    [self.userNamename objectForKey:@"usernamename"];
    
    NSString *str = [self.userNamename objectForKey:@"usernamename"];
    [[MovieDataMySQL shareDataBase] selectMovieWithName:str];
    NSLog(@"%@", str);
    
    movie *mo = [[movie alloc] init];
    mo.name = self.movieid;
    mo.movieName = self.movietit;
    NSLog(@"%@ %@", mo.name, mo.movieName);
    
    NSArray *arr = [[MovieDataMySQL shareDataBase]selectMovieWithName:str];
    NSLog(@"%@", arr);
    NSMutableArray *nameArr = [NSMutableArray array];
    for (movie *mov in arr) {
        [nameArr addObject:mov.name];
    }
    if ([nameArr containsObject:mo.name]) {
        // 提示框
                UIAlertController *alrerC = [UIAlertController alertControllerWithTitle:@"警告!" message:@"收藏失败/ 已经存在" preferredStyle:UIAlertControllerStyleAlert];
                // 点选按钮
                UIAlertAction *alertYES = [UIAlertAction actionWithTitle:@"YES" style:UIAlertActionStyleDefault handler:^(UIAlertAction * _Nonnull action) {
        
                }];
                // 将按钮添加到提示框
                [alrerC addAction:alertYES];
                // 弹出提示框
                [self presentViewController:alrerC animated:YES completion:^{
                    
                }];
    } else{
        
        movie *mo = [[movie alloc] init];
        mo.name = self.movieid;
        mo.movieName = self.movietit;
        NSLog(@"%@ %@", self.movieid, self.movietit);
        
        [[MovieDataMySQL shareDataBase] insertDataWithMovie:mo andname:[self.userNamename objectForKey:@"usernamename" ]];
        
        // 提示框
                UIAlertController *alrerC = [UIAlertController alertControllerWithTitle:@"提示!" message:@"收藏成功" preferredStyle:UIAlertControllerStyleAlert];
                // 点选按钮
                UIAlertAction *alertYES = [UIAlertAction actionWithTitle:@"YES" style:UIAlertActionStyleDefault handler:^(UIAlertAction * _Nonnull action) {
        
                }];
                // 将按钮添加到提示框
                [alrerC addAction:alertYES];
                // 弹出提示框
                [self presentViewController:alrerC animated:YES completion:^{
                    
                }];

    }
    
    
    
    
//    if (self) {
//        // 提示框
//        UIAlertController *alrerC = [UIAlertController alertControllerWithTitle:@"警告!" message:@"收藏失败/ 已经存在" preferredStyle:UIAlertControllerStyleAlert];
//        // 点选按钮
//        UIAlertAction *alertYES = [UIAlertAction actionWithTitle:@"YES" style:UIAlertActionStyleDefault handler:^(UIAlertAction * _Nonnull action) {
//            
//        }];
//        // 将按钮添加到提示框
//        [alrerC addAction:alertYES];
//        // 弹出提示框
//        [self presentViewController:alrerC animated:YES completion:^{
//            
//        }];
//    } else if (self) {
//        // 提示框
//        UIAlertController *alrerC = [UIAlertController alertControllerWithTitle:@"提示!" message:@"收藏成功" preferredStyle:UIAlertControllerStyleAlert];
//        // 点选按钮
//        UIAlertAction *alertYES = [UIAlertAction actionWithTitle:@"YES" style:UIAlertActionStyleDefault handler:^(UIAlertAction * _Nonnull action) {
//            
//        }];
//        // 将按钮添加到提示框
//        [alrerC addAction:alertYES];
//        // 弹出提示框
//        [self presentViewController:alrerC animated:YES completion:^{
//            
//        }];
//    }
//
}

/*
- (void)rightAction
{
    [[MovieDataMySQL shareDataBase] openDB];
    if ([UserNameDataBaseHandle shareCollectDataBase].state) {
        NSArray *arr = [[MovieDataMySQL shareDataBase] selectMovieWithName:[UserNameDataBaseHandle shareCollectDataBase].plistName];
        BOOL isCollect = NO;
        for (NSDictionary *dic in arr) {
            if ([dic.allKeys.firstObject isEqual:self.movietit]) {
                isCollect = YES;
                UIAlertController *alertC = [UIAlertController alertControllerWithTitle:@"提示" message:@"电影已被收藏过" preferredStyle:UIAlertControllerStyleAlert];
                UIAlertAction *alertB = [UIAlertAction actionWithTitle:@"确定" style:UIAlertActionStyleDefault handler:nil];
                [alertC addAction:alertB];
                [self presentViewController:alertC animated:YES completion:nil];
                break;
            }
        }
        if (!isCollect) {

            // 提示框
            UIAlertController *alrerC = [UIAlertController alertControllerWithTitle:@"提示!" message:@"收藏成功" preferredStyle:UIAlertControllerStyleAlert];
            // 点选按钮
            UIAlertAction *alertYES = [UIAlertAction actionWithTitle:@"YES" style:UIAlertActionStyleDefault handler:^(UIAlertAction * _Nonnull action) {
                    [[MovieDataMySQL shareDataBase] openDB];
                [[MovieDataMySQL shareDataBase]createTableWithName: [UserNameDataBaseHandle shareCollectDataBase].plistName];
                
                movie *m = [[movie alloc] init];
                m.name =
//                [[MovieDataMySQL shareDataBase] insertDataWithMovie:self.title[UserNameDataBaseHandle shareCollectDataBase].plistName];
                
            }];
            // 将按钮添加到提示框
            [alrerC addAction:alertYES];
            // 弹出提示框
            [self presentViewController:alrerC animated:YES completion:^{
                
            }];

        }
    }
}
*/
/*
- (void)rightAction
{
    // 同活动页方法
    if ([UserNameDataBaseHandle shareCollectDataBase].state) {
        NSArray *array = [[MovieDataMySQL shareDataBase] selectMovieWithName:[UserNameDataBaseHandle shareCollectDataBase].plistName];
        BOOL isCollect = NO;
        for (NSDictionary *dic in array) {
            if ([dic.allKeys.firstObject isEqual:self.movietit] && ![dic.allValues.firstObject isEqual:@"0"]) {
                isCollect = YES;
                UIAlertController *alertC = [UIAlertController alertControllerWithTitle:@"提示" message:@"电影已被收藏过" preferredStyle:UIAlertControllerStyleAlert];
                UIAlertAction *alertB = [UIAlertAction actionWithTitle:@"确定" style:UIAlertActionStyleDefault handler:nil];
                [alertC addAction:alertB];
                [self presentViewController:alertC animated:YES completion:nil];
                
                break;
            }
        }
        if (!isCollect) {
//            [[MovieDataMySQL shareDataBase] insertDataWithMovie:self.movieid [UserNameDataBaseHandle shareCollectDataBase].plistName];
            [[MovieDataMySQL shareDataBase] insertDataWithMovie:self.title]
            ;
            UIAlertController *al = [UIAlertController alertControllerWithTitle:@"提示" message:@"收藏成功" preferredStyle:UIAlertControllerStyleAlert];
            [self presentViewController:al animated:YES completion:^{
                [al dismissViewControllerAnimated:YES completion:nil];
            }];
        }
        
    }else{
        LoginViewController *loginVC = [[LoginViewController alloc] init];
        UINavigationController *loginNC = [[UINavigationController alloc] initWithRootViewController:loginVC];
//        loginVC.delegate = self;
        [self.navigationController presentViewController:loginNC animated:YES completion:nil];
    }
}

- (void)didReceiveMemoryWarning {
    [super didReceiveMemoryWarning];
    // Dispose of any resources that can be recreated.
}
*/
/*
#pragma mark - Navigation

// In a storyboard-based application, you will often want to do a little preparation before navigation
- (void)prepareForSegue:(UIStoryboardSegue *)segue sender:(id)sender {
    // Get the new view controller using [segue destinationViewController].
    // Pass the selected object to the new view controller.
}
*/

@end
