//
//  MovieThumbnailViewController.m
//  豆瓣
//
//  Created by YIem on 16/2/25.
//  Copyright © 2016年 www.yiem.net YIem博客. All rights reserved.
//

#import "MovieThumbnailViewController.h"
#import "MovieDetailsViewController.h"
#import "MovieViewController.h"
#import "MovievCollectionViewCell.h"
#import "UIImageView+WebCache.h"
#import "MovieModel.h"

@interface MovieThumbnailViewController ()< UICollectionViewDelegate, UICollectionViewDataSource, UICollectionViewDelegateFlowLayout>

@property (nonatomic, retain) UICollectionView *collectionV;

@property (nonatomic, retain) NSMutableArray *array;@end

@implementation MovieThumbnailViewController

- (void)viewDidLoad {
    [super viewDidLoad];
    // Do any additional setup after loading the view.
    self.navigationItem.title = @"电影";
    // 右上角实现
    self.navigationItem.leftBarButtonItem = [[UIBarButtonItem alloc] initWithTitle:@" " style:UIBarButtonItemStylePlain target:self action:nil];
    self.view.backgroundColor = [UIColor whiteColor];
    self.array = [NSMutableArray array];
    [self getData];
    
    // collectionView
    UICollectionViewFlowLayout *collectionViewLayout = [[UICollectionViewFlowLayout alloc] init];
    collectionViewLayout.itemSize = CGSizeMake((self.view.frame.size.width - 60) / 3, 200);
    collectionViewLayout.sectionInset = UIEdgeInsetsMake(10, 10, 5, 10);
    self.collectionV = [[UICollectionView alloc] initWithFrame:CGRectMake(0, 0, self.view.frame.size.width, self.view.frame.size.height - 104) collectionViewLayout:collectionViewLayout];
    self.collectionV.backgroundColor = [UIColor whiteColor];
    self.collectionV.delegate = self;
    self.collectionV.dataSource = self;
    [self.view addSubview:self.collectionV];
    [self.collectionV registerClass:[MovievCollectionViewCell class] forCellWithReuseIdentifier:@"MovieCollectionViewCell"];
  
    
    
    [self youshang];
//    [self sss];
}
// 右上角
- (void)youshang
{
    self.navigationItem.rightBarButtonItem = [[UIBarButtonItem alloc]initWithImage:[UIImage imageNamed:@"btn_nav_list@2x.png"] style:UIBarButtonItemStylePlain target:self action:@selector(rightAction) ];
    self.navigationItem.rightBarButtonItem.tintColor = [UIColor blackColor];
}
- (void)sss
{
    self.navigationItem.leftBarButtonItem = [[UIBarButtonItem alloc] init];

}
// 右上角 实现
- (void)rightAction
{
    //    self.navigationController.navigationBar.tintColor = [UIColor blackColor];
//    MovieThumbnailViewController *MTVC = [[MovieThumbnailViewController alloc] init];
//    
//    [self.navigationController pushViewController: MTVC animated:YES];
//    [self dismissViewControllerAnimated:YES completion:nil];
    [self.navigationController popViewControllerAnimated:YES];
    
}

- (void)getData
{
    
    NSURL *url = [NSURL URLWithString:@"http://project.lanou3g.com/teacher/yihuiyun/lanouproject/movielist.php"];
    NSURLRequest *request = [NSURLRequest requestWithURL:url];
    NSURLSession *session = [NSURLSession sessionWithConfiguration:[NSURLSessionConfiguration defaultSessionConfiguration]];
    self.array = [NSMutableArray array];
    NSURLSessionDataTask *getTask = [session dataTaskWithRequest:request completionHandler:^(NSData * _Nullable data, NSURLResponse * _Nullable response, NSError * _Nullable error) {
        NSMutableDictionary *dic = [NSJSONSerialization JSONObjectWithData:data options:NSJSONReadingMutableContainers error:nil];
        //        NSLog(@"%@", dic);
        
        for (NSDictionary *tempDic in [dic objectForKey:@"result"]) {
            MovieModel *movie = [[MovieModel alloc] init];
            [movie setValuesForKeysWithDictionary:tempDic];
            //            NSLog(@"%@", [[dic objectForKey:@"result"] objectForKey:@"movieId"] );
            [self.array addObject:movie];
            [self.collectionV reloadData];
            
        }
        
    }];
    
    [getTask resume];
    
/*
    
    [CustomerNetWorking connectWithURL:@"http://project.lanou3g.com/teacher/yihuiyun/lanouproject/movielist.php" andParameters:nil andBlock:^(id response) {
        NSDictionary *movieDic = response;
        for (NSDictionary *tempDic in [movieDic objectForKey:@"result"]) {
            Movie *movie = [[Movie alloc] init];
            [movie setValuesForKeysWithDictionary:tempDic];
            [self.array addObject:movie];
            [self.collectionV reloadData];
            [movie release];
        }
    }];
 */
}


- (NSInteger)collectionView:(UICollectionView *)collectionView numberOfItemsInSection:(NSInteger)section
{
    return self.array.count;
}

- (UICollectionViewCell *)collectionView:(UICollectionView *)collectionView cellForItemAtIndexPath:(NSIndexPath *)indexPath
{
    MovievCollectionViewCell *cell = [collectionView dequeueReusableCellWithReuseIdentifier:@"MovieCollectionViewCell" forIndexPath:indexPath];
    cell.movie = self.array[indexPath.row];
    return cell;
}

- (void)collectionView:(UICollectionView *)collectionView didSelectItemAtIndexPath:(NSIndexPath *)indexPath
{
    MovieDetailsViewController *movieDetailVC = [[MovieDetailsViewController alloc] init];
    movieDetailVC.movieid = [self.array[indexPath.row] movieId];
    [self.navigationController pushViewController:movieDetailVC animated:YES];

}



- (void)didReceiveMemoryWarning {
    [super didReceiveMemoryWarning];
    // Dispose of any resources that can be recreated.
}

/*
#pragma mark - Navigation

// In a storyboard-based application, you will often want to do a little preparation before navigation
- (void)prepareForSegue:(UIStoryboardSegue *)segue sender:(id)sender {
    // Get the new view controller using [segue destinationViewController].
    // Pass the selected object to the new view controller.
}
*/

@end
