//
//  MovieViewController.m
//  豆瓣
//
//  Created by YIem on 16/1/29.
//  Copyright © 2016年 www.yiem.net YIem博客. All rights reserved.
//

#import "MovieViewController.h"
#import "MovieModel.h"
#import "MovieTableViewCell.h"
#import "MovieDetailsViewController.h"
#import "UIImageView+WebCache.h"
#import "MovieThumbnailViewController.h"
@interface MovieViewController ()<UITableViewDataSource, UITableViewDelegate>
@property (nonatomic, strong) UITableView *tableView;
@property (nonatomic, strong) NSMutableArray *dataArr;


@end

@implementation MovieViewController

- (void)viewDidLoad {
    [super viewDidLoad];
    // Do any additional setup after loading the view.
    self.view.backgroundColor = [UIColor whiteColor];
    self.navigationItem.title = @"电影";
    [self.navigationController.navigationBar setBackgroundImage:[UIImage imageNamed:@"bg_nav@2x.png"] forBarMetrics:0];
    // tableView
    [self creatrTableView];
    // 数据
    [self dataHandler];
    // 右上角
    [self youshang];
}
// 右上角
- (void)youshang
{
    self.navigationItem.rightBarButtonItem = [[UIBarButtonItem alloc]initWithImage:[UIImage imageNamed:@"btn_nav_collection@2x"] style:UIBarButtonItemStylePlain target:self action:@selector(rightAction) ];
    self.navigationItem.rightBarButtonItem.tintColor = [UIColor blackColor];
}
// 右上角 实现
- (void)rightAction
{

    MovieThumbnailViewController *MTVC = [[MovieThumbnailViewController alloc] init];
    
    [self.navigationController pushViewController: MTVC animated:YES];
    
}
- (void)creatrTableView
{
    self.tableView = [[UITableView alloc]initWithFrame:CGRectMake(0, 0, self.view.frame.size.width, self.view.frame.size.height - 70) style:UITableViewStylePlain];
    _tableView.delegate = self;
    _tableView.dataSource = self;
    
    [self.view addSubview:_tableView];
    // 注册重用池
    [_tableView registerClass:[MovieTableViewCell class] forCellReuseIdentifier:@"cell"];
}
- (void)dataHandler
{
//    NSArray *arr = [NSArray arrayWithContentsOfFile:[[NSBundle mainBundle] pathForResource:@"movie" ofType:@"plist"]];
//    self.dataArr = [MovieModel modelHanderWithArray:arr];
    
    NSURL *url = [NSURL URLWithString:@"http://project.lanou3g.com/teacher/yihuiyun/lanouproject/movielist.php"];
    NSURLRequest *request = [NSURLRequest requestWithURL:url];
    NSURLSession *session = [NSURLSession sessionWithConfiguration:[NSURLSessionConfiguration defaultSessionConfiguration]];
    self.dataArr = [NSMutableArray array];
    NSURLSessionDataTask *getTask = [session dataTaskWithRequest:request completionHandler:^(NSData * _Nullable data, NSURLResponse * _Nullable response, NSError * _Nullable error) {
        NSMutableDictionary *dic = [NSJSONSerialization JSONObjectWithData:data options:NSJSONReadingMutableContainers error:nil];
        //        NSLog(@"%@", dic);
        
        for (NSDictionary *tempDic in [dic objectForKey:@"result"]) {
            MovieModel *movie = [[MovieModel alloc] init];
            [movie setValuesForKeysWithDictionary:tempDic];
//            NSLog(@"%@", [[dic objectForKey:@"result"] objectForKey:@"movieId"] );
            [self.dataArr addObject:movie];
            [self.tableView reloadData];
            
        }

    }];
    
    [getTask resume];

    
    
}
- (NSInteger)tableView:(UITableView *)tableView numberOfRowsInSection:(NSInteger)section
{
    return _dataArr.count;
}
- (UITableViewCell *)tableView:(UITableView *)tableView cellForRowAtIndexPath:(NSIndexPath *)indexPath
{
    MovieTableViewCell  *cell = [tableView dequeueReusableCellWithIdentifier:@"cell" forIndexPath:indexPath];
    
    MovieModel *m = _dataArr[indexPath.row];
    
    cell.bjImg.image = [UIImage imageNamed:@"bg_eventlistcell"];
    [cell.movieImg sd_setImageWithURL:[NSURL URLWithString:m.pic_url]];
    // cell.backgroundColor = [UIColor redColor];
    cell.movieTitle.text = m.movieName;
//    NSLog(@"+-+-%@", m.movieid);
    return cell;
}
- (CGFloat)tableView:(UITableView *)tableView heightForRowAtIndexPath:(NSIndexPath *)indexPath
{
    return 180;
}
// 点击
- (void)tableView:(UITableView *)tableView didSelectRowAtIndexPath:(NSIndexPath *)indexPath
{
    MovieDetailsViewController *detVC = [[MovieDetailsViewController alloc]init];
    detVC.movieid = [[self.dataArr objectAtIndex:indexPath.row] movieId];
//    NSLog(@"%@", [[self.dataArr objectAtIndex:indexPath.row] movieId]);
    [self.navigationController pushViewController:detVC animated:YES];
}
- (void)didReceiveMemoryWarning {
    [super didReceiveMemoryWarning];
    // Dispose of any resources that can be recreated.
}

/*
#pragma mark - Navigation

// In a storyboard-based application, you will often want to do a little preparation before navigation
- (void)prepareForSegue:(UIStoryboardSegue *)segue sender:(id)sender {
    // Get the new view controller using [segue destinationViewController].
    // Pass the selected object to the new view controller.
}
*/

@end
