//
//  UserActivityViewController.m
//  豆瓣
//
//  Created by YIem on 16/3/3.
//  Copyright © 2016年 www.yiem.net YIem博客. All rights reserved.
//

#import "UserActivityViewController.h"
#import "ActivityDataMySQL.h"
#import "Activity.h"
#import "ActivityDatailView.h"
#import "ActivityModel.h"
@interface UserActivityViewController ()<UITableViewDataSource, UITableViewDelegate>
@property (nonatomic, retain) UITableView *tableV;
@property (nonatomic, retain) NSUserDefaults *userNamename;
@property (nonatomic, retain) NSMutableArray *dataArr;
@property (nonatomic, retain) NSMutableArray *daArr;
@end

@implementation UserActivityViewController

- (void)viewDidLoad {
    [super viewDidLoad];
    // Do any additional setup after loading the view.
    self.view.backgroundColor = [UIColor whiteColor];
    self.navigationItem.title = @"我收藏的活动";
    
    self.tableV = [[UITableView alloc] initWithFrame:self.view.frame style:UITableViewStylePlain];
    self.tableV.delegate = self;
    self.tableV.dataSource = self;
    [self.view addSubview:self.tableV];
    
    
}

- (void)setEditing:(BOOL)editing animated:(BOOL)animated
{
    [super setEditing:editing animated:animated];
    [self.tableV setEditing:editing animated:animated];
}

- (UITableViewCellEditingStyle)tableView:(UITableView *)tableView editingStyleForRowAtIndexPath:(NSIndexPath *)indexPath
{
    
    return UITableViewCellEditingStyleDelete;
}

//行数
- (NSInteger)tableView:(UITableView *)tableView numberOfRowsInSection:(NSInteger)section
{
    self.userNamename = [NSUserDefaults standardUserDefaults];
    [self.userNamename objectForKey:@"usernamename"];
    
    NSString *str = [self.userNamename objectForKey:@"usernamename"];
    [[ActivityDataMySQL shareDataBase] selectActWithName:str];
    NSLog(@"%@", str);
    NSArray *arr = [[ActivityDataMySQL shareDataBase]selectActWithName:str];
    NSLog(@"%@", arr);

    //    NSLog(@"%lu", arr.count);
    return arr.count;
}


//数据赋值
- (UITableViewCell *)tableView:(UITableView *)tableView cellForRowAtIndexPath:(NSIndexPath *)indexPath {
    
    static NSString *str = @"cell";
    UITableViewCell *cell = [tableView dequeueReusableCellWithIdentifier:str];
    if (nil == cell) {
        cell = [[UITableViewCell alloc] initWithStyle:UITableViewCellStyleDefault reuseIdentifier:str];
    }
    
    self.userNamename = [NSUserDefaults standardUserDefaults];
    [self.userNamename objectForKey:@"usernamename"];
    NSString *stre = [self.userNamename objectForKey:@"usernamename"];
    [[ActivityDataMySQL shareDataBase] selectActWithName:stre];
    NSArray *arr = [[ActivityDataMySQL shareDataBase]selectActWithName:stre];


    
    Activity *ac = [[Activity alloc] init];
    ac = [arr objectAtIndex:indexPath.row];
    cell.textLabel.text = ac.activityName;

//    nameArr = [arr objectAtIndex:indexPath.row];
    return cell;
    
}
- (void)tableView:(UITableView *)tableView commitEditingStyle:(UITableViewCellEditingStyle)editingStyle forRowAtIndexPath:(NSIndexPath *)indexPath
{

    self.userNamename = [NSUserDefaults standardUserDefaults];
    [self.userNamename objectForKey:@"usernamename"];
    NSString *stre = [self.userNamename objectForKey:@"usernamename"];
    [[ActivityDataMySQL shareDataBase] selectActWithName:stre];
    NSArray *arr = [[ActivityDataMySQL shareDataBase]selectActWithName:stre];
    
    Activity *ac = [arr objectAtIndex:indexPath.row];
    NSLog(@"%ld -- %@", indexPath.row, ac);
    
    
    
    [[ActivityDataMySQL shareDataBase]deleteDataWithName:[self.userNamename objectForKey:@"usernamename"] andactName:ac.activityName];
    
    [self.tableV reloadData];
    
     
}
// 点击
- (void)tableView:(UITableView *)tableView didSelectRowAtIndexPath:(NSIndexPath *)indexPath
{
    ActivityDetailsViewController *twVC = [[ActivityDetailsViewController alloc]init];
    
    twVC.actdet.name = [[self.dataArr objectAtIndex:indexPath.row] name];
    
    [self.userNamename objectForKey:@"usernamename"];
    NSString *stre = [self.userNamename objectForKey:@"usernamename"];
    [[ActivityDataMySQL shareDataBase] selectActWithName:stre];
    NSArray *arr = [[ActivityDataMySQL shareDataBase]selectActWithName:stre];
    
    Activity *ac = [arr objectAtIndex:indexPath.row];

    
    [self dataHandler];// 调用数据
    // 遍历数据
    for (ActivityModel *mo in self.daArr) {
        // 判断是否等于
        if ([mo.title isEqualToString: ac.activityName]) {
            // 将mo值传actdet
            twVC.actdet = mo;
        }
}
    
    [self.navigationController pushViewController:twVC animated:YES];
    

}

- (void)dataHandler
{

    NSString *filePath = [[NSBundle mainBundle] pathForResource:@"activitylist" ofType:@"txt"];
    NSData *data = [NSData dataWithContentsOfFile:filePath];
    NSMutableDictionary *arr = [NSJSONSerialization JSONObjectWithData:data options:NSJSONReadingMutableContainers error:nil];
    self.daArr = [NSMutableArray array];
    
    NSLog(@"%@", self.daArr);
    for (NSDictionary *dic in [arr objectForKey:@"events"] ) {
        ActivityModel *model = [[ActivityModel alloc] init];
        [model setValuesForKeysWithDictionary:dic];
        model.name = [[dic objectForKey:@"owner"] objectForKey:@"name"];
        model.title = [dic objectForKey:@"title"];
//        model.address = [dic objectForKey:@"address"];
//        model.content = [dic objectForKey:@"content"];
        
        [self.daArr addObject:model];
    }
    
    
}



- (void)didReceiveMemoryWarning {
    [super didReceiveMemoryWarning];
    // Dispose of any resources that can be recreated.
}

/*
#pragma mark - Navigation

// In a storyboard-based application, you will often want to do a little preparation before navigation
- (void)prepareForSegue:(UIStoryboardSegue *)segue sender:(id)sender {
    // Get the new view controller using [segue destinationViewController].
    // Pass the selected object to the new view controller.
}
*/

@end
