//
//  UserMovieViewController.m
//  豆瓣
//
//  Created by YIem on 16/3/3.
//  Copyright © 2016年 www.yiem.net YIem博客. All rights reserved.
//

#import "UserMovieViewController.h"
#import "movie.h"
#import "MovieDataMySQL.h"
#import "MovieModel.h"
#import "MovieDetailsViewController.h"
@interface UserMovieViewController ()<UITableViewDataSource, UITableViewDelegate>
@property (nonatomic, retain) UITableView *tableV;
@property (nonatomic, retain) NSUserDefaults *userNamename;
@property (nonatomic, strong) NSMutableArray *dataArr;
@end

@implementation UserMovieViewController

- (void)viewDidLoad {
    [super viewDidLoad];
    // Do any additional setup after loading the view.
    self.view.backgroundColor = [UIColor whiteColor];
    self.navigationItem.title = @"我收藏的电影";
    
    self.tableV = [[UITableView alloc] initWithFrame:self.view.frame style:UITableViewStylePlain];
    self.tableV.delegate = self;
    self.tableV.dataSource = self;
    [self.view addSubview:self.tableV];

}

- (void)setEditing:(BOOL)editing animated:(BOOL)animated
{
    [super setEditing:editing animated:animated];
    [self.tableV setEditing:editing animated:animated];
}

- (UITableViewCellEditingStyle)tableView:(UITableView *)tableView editingStyleForRowAtIndexPath:(NSIndexPath *)indexPath
{
    return UITableViewCellEditingStyleDelete;
}

//行数
- (NSInteger)tableView:(UITableView *)tableView numberOfRowsInSection:(NSInteger)section
{
    self.userNamename = [NSUserDefaults standardUserDefaults];
    [self.userNamename objectForKey:@"usernamename"];
    
    NSString *str = [self.userNamename objectForKey:@"usernamename"];
    [[MovieDataMySQL shareDataBase] selectMovieWithName:str];
    NSLog(@"%@", str);
    NSArray *arr = [[MovieDataMySQL shareDataBase]selectMovieWithName:str];
    NSLog(@"%@", arr);
    
    //    NSLog(@"%lu", arr.count);
    return arr.count;
}


//数据赋值
- (UITableViewCell *)tableView:(UITableView *)tableView cellForRowAtIndexPath:(NSIndexPath *)indexPath {
    
    static NSString *str = @"cell";
    UITableViewCell *cell = [tableView dequeueReusableCellWithIdentifier:str];
    if (nil == cell) {
        cell = [[UITableViewCell alloc] initWithStyle:UITableViewCellStyleDefault reuseIdentifier:str];
    }
    
    self.userNamename = [NSUserDefaults standardUserDefaults];
    [self.userNamename objectForKey:@"usernamename"];
    NSString *stre = [self.userNamename objectForKey:@"usernamename"];
    [[MovieDataMySQL shareDataBase] selectMovieWithName:stre];
    NSArray *arr = [[MovieDataMySQL shareDataBase]selectMovieWithName:stre];
    
    movie *mo = [[movie alloc] init];
//    movie *mo = _dataArr[indexPath.row];
    mo = [arr objectAtIndex:indexPath.row];
    cell.textLabel.text = mo.movieName;
    //    nameArr = [arr objectAtIndex:indexPath.row];
    return cell;
    
}
- (void)tableView:(UITableView *)tableView commitEditingStyle:(UITableViewCellEditingStyle)editingStyle forRowAtIndexPath:(NSIndexPath *)indexPath
{
    
    
    self.userNamename = [NSUserDefaults standardUserDefaults];
    
    [self.userNamename objectForKey:@"usernamename"];
    NSString *stre = [self.userNamename objectForKey:@"usernamename"];
    // 查询当前名字以用户名开头的所有 电影
    [[MovieDataMySQL shareDataBase] selectMovieWithName:stre];
    // 把所有的取到的所有电影   存进数组
    NSArray *arr = [[MovieDataMySQL shareDataBase]selectMovieWithName:stre];
    // 取当前点击 的电影名字
    movie *mo = [arr objectAtIndex:indexPath.row];
   
    // 删除收藏 以用户名开头的表  -收藏电影名字
    [[MovieDataMySQL shareDataBase] deleteDataWithMovie:[self.userNamename objectForKey:@"usernamename"] andname:mo.movieName];
    // 刷新页面
    [self.tableV reloadData];
    
}



- (void)tableView:(UITableView *)tableView didSelectRowAtIndexPath:(NSIndexPath *)indexPath
{
    MovieDetailsViewController *detVC = [[MovieDetailsViewController alloc]init];
    
    detVC.movieid = [[self.dataArr objectAtIndex:indexPath.row] name];
    
    [self.userNamename objectForKey:@"usernamename"];
    NSString *stre = [self.userNamename objectForKey:@"usernamename"];
    [[MovieDataMySQL shareDataBase] selectMovieWithName:stre];
    NSArray *arr = [[MovieDataMySQL shareDataBase]selectMovieWithName:stre];
    
    movie *mo = [arr objectAtIndex:indexPath.row];

    
    
    detVC.movieid = mo.name;
    
  
    //    NSLog(@"%@", [[self.dataArr objectAtIndex:indexPath.row] movieId]);
    [self.navigationController pushViewController:detVC animated:YES];
}




- (void)didReceiveMemoryWarning {
    [super didReceiveMemoryWarning];
    // Dispose of any resources that can be recreated.
}

/*
#pragma mark - Navigation

// In a storyboard-based application, you will often want to do a little preparation before navigation
- (void)prepareForSegue:(UIStoryboardSegue *)segue sender:(id)sender {
    // Get the new view controller using [segue destinationViewController].
    // Pass the selected object to the new view controller.
}
*/

@end
