//
//  UserNameDataBaseHandle.m
//  豆瓣
//
//  Created by YIem on 16/3/3.
//  Copyright © 2016年 www.yiem.net YIem博客. All rights reserved.
//

#import "UserNameDataBaseHandle.h"
#import "username.h"
@implementation UserNameDataBaseHandle
// 创建单例
+ (instancetype)shareCollectDataBase
{
    static UserNameDataBaseHandle *UserNameData = nil;
    if (UserNameData == nil) {
        UserNameData = [[UserNameDataBaseHandle alloc] init];

    }
    return UserNameData;
}
// (相当于创建函数变量)
static sqlite3 *UserDB = nil;
- (void)openDB
{
    NSArray *array = NSSearchPathForDirectoriesInDomains(NSDocumentDirectory, NSUserDomainMask, YES);
    NSString *path = array.lastObject;
    NSLog(@"路径: %@", path);
    NSString *dataBasePath = [path stringByAppendingPathComponent:@"username.db"];
    // 判断 数据库是否已经被打开
    if (UserDB != nil) {
        NSLog(@"数据库已经是打开状态");
        return;
    }
    // 打开数据库
    int ret = sqlite3_open(dataBasePath.UTF8String, &UserDB);
    if (SQLITE_OK == ret) {
        NSLog(@"数据库打开成功");
    } else {
        NSLog(@"数据库打开失败");
    }
    
    
    
}
// 创建表单
- (void)createUserName:(NSString *)name
{
    NSString *createUserTableSql = [NSString stringWithFormat:@"create table if not exists %@(userName text primary key, password text)", name];
    int ret = sqlite3_exec(UserDB, createUserTableSql.UTF8String, NULL, NULL, NULL);
    if (SQLITE_OK == ret) {
        NSLog(@"创建表单成功");
    } else {
        NSLog(@"创建表单失败");
    }
}
// 插入数据
- (void)insertUserName:(username *)use
{
    NSString *insertUserSQL = [NSString stringWithFormat:@"INSERT INTO name (userName, password) VALUES ('%@', '%@')", use.userName, use.password];
        /*@"INSERT INTO student(name, sex, age) VALUES ('%@', '%@', '%ld')", stu.name, stu.sex, stu.age*/
    int ret = sqlite3_exec(UserDB, insertUserSQL.UTF8String, NULL, NULL, NULL);
    if (SQLITE_OK == ret) {
        NSLog(@"插入数据成功");
    } else {
        NSLog(@"插入数据失败");
    }
    
}
- (void)daleteUserName:(NSString *)userName
{
    NSString *deleteUserSQL = [NSString stringWithFormat:@"delete from name where userName = %@", userName];
    int ret = sqlite3_exec(UserDB, deleteUserSQL.UTF8String, NULL, NULL, NULL);
    if (SQLITE_OK == ret) {
        NSLog(@"删除数据成功");
    } else {
        NSLog(@"删除数据失败");
    }
}
- (NSMutableArray *)selectAllUserName:(NSString *)uName
{
    NSString *selectUserSQL =[ NSString stringWithFormat: @"SELECT * FROM name WHERE  userName LIKE '%%%@%%'", uName];
//     NSString *selectUserSQL = @"SELECT * FROM student";
    sqlite3_stmt *stmt = nil;
    int ret = sqlite3_prepare_v2(UserDB, selectUserSQL.UTF8String, -1, &stmt, NULL);
    if (SQLITE_OK == ret) {
        
        NSMutableArray *arr = [NSMutableArray array];
        
        while (SQLITE_ROW == sqlite3_step(stmt)) {
            
            const unsigned char *userName = sqlite3_column_text(stmt, 0);
            const unsigned char *password = sqlite3_column_text(stmt, 1);
//            NSLog(@"---+++%s", userName);
            
            username *use = [[username alloc] init];
            use.userName = [NSString stringWithUTF8String:(const char *) userName];
            use.password = [NSString stringWithUTF8String:(const char *)password];
            [arr addObject:use];
            
            
//            NSString *user = [NSString stringWithUTF8String:(const char *)userName];
//            NSString *pass = [NSString stringWithUTF8String:(const char *) password];
//            NSDictionary *dic = [NSDictionary dictionaryWithObject:pass forKey:user];
//            [arr addObject:dic];
            
        }
        
        return arr;
    } else {
        NSLog(@"查询失败");
        return nil;
    }

}

- (NSMutableArray *)selectAllStudent
{
    // -1 是NSIntege类型最大值
    
    NSString *sqlStr = @"SELECT * FROM name";
    sqlite3_stmt *stmt = nil;// ( 二级指针取地址 &stmt)
    int ret = sqlite3_prepare(UserDB, sqlStr.UTF8String, -1, &stmt, NULL);
    if (SQLITE_OK == ret) {
        // 创建数组
        NSMutableArray *stuArr = [NSMutableArray array];
        
        // 逐行解析
        while (SQLITE_ROW == sqlite3_step(stmt)) {
            // 参数2: 列数
            const unsigned char *userName =  sqlite3_column_text(stmt, 1);
            const unsigned char *password =  sqlite3_column_text(stmt, 2);
            
            username *use = [[username alloc] init];
            use.userName = [NSString stringWithUTF8String:(const char *) userName];
            use.password = [NSString stringWithUTF8String:(const char *)password];
            [stuArr addObject:use];

        
            
            
        }
        //
        return stuArr;
    } else {
        NSLog(@"查询数据失败");
        return nil;
    }
    
}


@end
