//
//  UserViewController.m
//  豆瓣
//
//  Created by YIem on 16/1/29.
//  Copyright © 2016年 www.yiem.net YIem博客. All rights reserved.
//

#import "UserViewController.h"
#import "LoginViewController.h"
#import "UserActivityViewController.h"
#import "UserMovieViewController.h"
#import "UserNameDataBaseHandle.h"
#import "SDWebImageManager.h"
@interface UserViewController ()<UITableViewDataSource, UITableViewDelegate>
@property (nonatomic, strong) UITableView *tableView;
@property (nonatomic, strong) NSMutableArray *dataArr;
@property (nonatomic, retain) NSUserDefaults  *userbool;
@end

@implementation UserViewController
// 当界面将要出现时判断是否已登录 若已登录右上角按钮为注销 否则为登录
- (void)viewWillAppear:(BOOL)animated
{
    [super viewWillAppear:animated];
    if([UserNameDataBaseHandle shareCollectDataBase].state){
        self.navigationItem.rightBarButtonItem = [[UIBarButtonItem alloc] initWithTitle:@"注销" style:UIBarButtonItemStylePlain target:self action:@selector(rightActionTwo)] ;
        self.navigationItem.rightBarButtonItem.tintColor = [UIColor blackColor];
    }else{
        self.navigationItem.rightBarButtonItem = [[UIBarButtonItem alloc] initWithTitle:@"登陆" style:UIBarButtonItemStylePlain target:self action:@selector(rightAction)];
        self.navigationItem.rightBarButtonItem.tintColor = [UIColor blackColor];
        
    }
}

//- (void)viewWillAppear:(BOOL)animated
//{
//    self.userbool = [NSUserDefaults standardUserDefaults];
//    BOOL Value = [[self.userbool objectForKey:@"isLogin"] integerValue];
//    
//    if (Value) {
//        self.navigationItem.rightBarButtonItem = [[UIBarButtonItem alloc]initWithTitle:@"注销" style:UIBarButtonItemStylePlain target:self action:@selector(deleAction)];
//    } else{
//        self.navigationItem.rightBarButtonItem = [[UIBarButtonItem alloc]initWithTitle:@"登录" style:UIBarButtonItemStylePlain target:self action:@selector(rightAction)];
//    }
//}
- (void)viewDidLoad {
    [super viewDidLoad];
    // Do any additional setup after loading the view.
//    self.view.backgroundColor = [UIColor redColor];
    
    self.navigationItem.title = @"我的";
    [self.navigationController.navigationBar setBackgroundImage:[UIImage imageNamed:@"bg_nav@2x.png"] forBarMetrics:0];
//    [self youshang];
    
    
    [self tableACE];
    [self dataa];

    
    NSUserDefaults *userD = [NSUserDefaults standardUserDefaults];
    BOOL isNight = [userD boolForKey:@"isNN"];
    
    UISwitch *sw = [[UISwitch alloc] initWithFrame:CGRectMake(100,140, 50, 30)];
    // 需要多考虑的是: 当第一次isNight == nil 会怎么样;
    sw.on = isNight;
    
    [sw addTarget:self action:@selector(swAction:) forControlEvents:UIControlEventValueChanged];
    [self.view addSubview:sw];
    
}
- (void)rightActionTwo
{
    UIAlertController *alertC = [UIAlertController alertControllerWithTitle:@"提示" message:@"是否注销" preferredStyle:UIAlertControllerStyleAlert];
    UIAlertAction *alertA = [UIAlertAction actionWithTitle:@"取消" style:UIAlertActionStyleDefault handler:nil];
    UIAlertAction *alertB = [UIAlertAction actionWithTitle:@"确定" style:UIAlertActionStyleDefault handler:^(UIAlertAction * _Nonnull action) {
        // 注销  将登录状态设置为NO
        [UserNameDataBaseHandle shareCollectDataBase].state = NO;
        self.navigationItem.rightBarButtonItem = [[UIBarButtonItem alloc] initWithTitle:@"登陆" style:UIBarButtonItemStylePlain target:self action:@selector(rightAction)] ;
        self.navigationItem.rightBarButtonItem.tintColor = [UIColor blackColor];
    }];
    [alertC addAction:alertA];
    [alertC addAction:alertB];
    [self presentViewController:alertC animated:YES completion:nil];
    
}


- (void)deleAction {
    UIAlertController *oyo = [UIAlertController alertControllerWithTitle:@"注销🔫" message:@"确定注销❔" preferredStyle:UIAlertControllerStyleAlert];
    UIAlertAction *hei = [UIAlertAction actionWithTitle:@"确定" style:UIAlertActionStyleDefault handler:^(UIAlertAction *_Nonnull action){
        
        [self.userbool setBool:NO forKey:@"isLogin"];
        self.navigationItem.rightBarButtonItem = [[UIBarButtonItem alloc]initWithTitle:@"登录" style:UIBarButtonItemStylePlain target:self action:@selector(rightAction)];
        
        
    }];
    UIAlertAction *nono = [UIAlertAction actionWithTitle:@"取消" style:UIAlertActionStyleDefault handler:^(UIAlertAction *_Nonnull action){
        
    }];
    
    [oyo addAction:nono];
    [oyo addAction:hei];
    [self presentViewController:oyo animated:YES completion:nil];
    
}

- (void)rightAction
{
    // 跳到登录页
    LoginViewController *loginVC = [[LoginViewController alloc] init];
    UINavigationController *loginNC = [[UINavigationController alloc] initWithRootViewController:loginVC];
    [self.navigationController presentViewController:loginNC animated:YES completion:nil];

}


- (void)tableACE
{
    self.tableView = [[UITableView alloc]initWithFrame:self.view.bounds style:UITableViewStylePlain];
    
    _tableView.delegate = self;
    _tableView.dataSource = self;
    [self.view addSubview:_tableView];
    
}

- (void)dataa
{

    //
    
    self.dataArr = [@[@"我的活动", @"我的电影", @"清除缓存", @"夜间模式"] mutableCopy];
    
}
- (void)swAction:(UISwitch *)sender
{
    
    
    
    if (YES == sender.on) {
        NSUserDefaults *userD = [NSUserDefaults standardUserDefaults];
        [userD setBool:YES forKey:@"isNN"];
            [[NSNotificationCenter defaultCenter]  postNotificationName:@"night" object:nil];
        NSLog(@"%@", [userD objectForKey:@"isNN"]);
        
    } else {
        NSUserDefaults *userD = [NSUserDefaults standardUserDefaults];
        [userD setBool:NO forKey:@"isNN"];
        NSLog(@"%@", [userD objectForKey:@"isNN"]);

        [[NSNotificationCenter defaultCenter]  postNotificationName:@"day" object:nil];
      
    }
}
- (NSInteger)tableView:(UITableView *)tableView numberOfRowsInSection:(NSInteger)section
{
    return _dataArr.count;
}
- (UITableViewCell *)tableView:(UITableView *)tableView cellForRowAtIndexPath:(NSIndexPath *)indexPath
{
    UITableViewCell *cell = [tableView dequeueReusableCellWithIdentifier:@"cell"];
    if (!cell) {
        cell = [[UITableViewCell alloc]initWithStyle:UITableViewCellStyleDefault reuseIdentifier:@"cell"];
    }
    cell.textLabel.text = _dataArr[indexPath.row];
    return cell;
    
}
- (void)tableView:(UITableView *)tableView didSelectRowAtIndexPath:(NSIndexPath *)indexPath
{
    if (0 == indexPath.row) {
        UserActivityViewController *userAct = [[UserActivityViewController alloc] init];
        [self.navigationController pushViewController:userAct animated:YES];
        
    }
    if (1 == indexPath.row) {
        UserMovieViewController *UserMovie = [[UserMovieViewController alloc] init];
        
        [self.navigationController pushViewController:UserMovie animated:YES];
    }
    if (2 == indexPath.row) {
        // 提示框
        UIAlertController *alrerC = [UIAlertController alertControllerWithTitle:@"警告!" message:@"你是否选择清除缓存?" preferredStyle:UIAlertControllerStyleAlert];
        // 点选按钮
        UIAlertAction *alertYES = [UIAlertAction actionWithTitle:@"YES" style:UIAlertActionStyleDefault handler:^(UIAlertAction * _Nonnull action) {
            
        }];
        // 清除内存缓存
        [[SDWebImageManager sharedManager].imageCache clearMemory];
        // 清除磁盘缓存
        [[SDWebImageManager sharedManager] .imageCache clearDisk];
        
        // iOS7以后, 还需要添加清除系统缓存
        [[NSURLCache sharedURLCache] removeAllCachedResponses];
        // 点选按钮
        UIAlertAction *alertNO = [UIAlertAction actionWithTitle:@"NO" style:UIAlertActionStyleDefault handler:^(UIAlertAction * _Nonnull action) {
        
        }];
        // 将按钮添加到提示框
        [alrerC addAction:alertYES];
        [alrerC addAction:alertNO];
        // 弹出提示框
        [self presentViewController:alrerC animated:YES completion:^{
            
        }];
    }
    if (3 == indexPath.row) {


    }
}
- (void)didReceiveMemoryWarning {
    [super didReceiveMemoryWarning];
    // Dispose of any resources that can be recreated.
}

/*
#pragma mark - Navigation

// In a storyboard-based application, you will often want to do a little preparation before navigation
- (void)prepareForSegue:(UIStoryboardSegue *)segue sender:(id)sender {
    // Get the new view controller using [segue destinationViewController].
    // Pass the selected object to the new view controller.
}
*/

@end
